- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Custom Field Management
- /
- Get Custom Field Values for User/Group/Role/Organization
¶ Get custom field values for users, groups, roles, and organizations
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get custom field values for users, groups, roles, and organizations through filtering conditions.
¶ Method name
ManagementClient.get_custom_data
¶ Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| tenantId | string | yes | - | Tenant ID | 642c1df417c2d8a80d744c1d |
| targetType | string | yes | - | Target object type: - USER: User- ROLE: Role- GROUP: Group- DEPARTMENT: Department | USER |
| targetIdentifier | string | yes | - | Unique identifier of the target object: - If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c- If it is a role, it is the role's code, such as admin- If it is a group, it is the group's code, such as developer- If it is a department, it is the department's ID, such as 6343bafc019xxxx889206c4c | userId1 |
| namespace | string | no | - | The code of the permission group to which it belongs. It is required when targetType is a role, otherwise it can be ignored | default |
¶ Request Response
Type: GetCustomDataRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. It will be returned when the request fails. |
| data | object | Specific custom data value |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"age": 18,
"school": "pku"
}
}
